Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Subversive » Subversive plugin depends on Mylyn parts?
Subversive plugin depends on Mylyn parts? [message #483637] Wed, 02 September 2009 11:49 Go to next message
Eclipse UserFriend
Originally posted by: david.balazic.hermes.si.foo

Hi!

I just got the Eclipse IDE for Java EE package (v3.5.0 win32)
and went on to install the Subversive plugin.
On the licence page it also listed about 8 Mylyn components and then
they were downloaded.
On the seconds page of update wizard (Install details - "Review the
items to be installed.") there was only subversive listed.
Are the Mylyn parts dependencies of subversive?
Strange, if I select another coponentes with dependencies, the
dependencies are show as children of the selected item on the
"Install details" page. Also the licese page list only the selected
item and its dependencies that were also listed on the prev page. No new
"unexpected" items.


Regards,
David

--
My email address has a spamers-confusing addition...
Re: Subversive plugin depends on Mylyn parts? [message #483768 is a reply to message #483637] Wed, 02 September 2009 21:06 Go to previous messageGo to next message
Lars Vogel is currently offline Lars VogelFriend
Messages: 1049
Registered: July 2009
Senior Member

I believe Mylyn integration is optional.

David Balažic wrote:
> Hi!
>
> I just got the Eclipse IDE for Java EE package (v3.5.0 win32)
> and went on to install the Subversive plugin.
> On the licence page it also listed about 8 Mylyn components and then
> they were downloaded.
> On the seconds page of update wizard (Install details - "Review the
> items to be installed.") there was only subversive listed.
> Are the Mylyn parts dependencies of subversive?
> Strange, if I select another coponentes with dependencies, the
> dependencies are show as children of the selected item on the
> "Install details" page. Also the licese page list only the selected
> item and its dependencies that were also listed on the prev page. No new
> "unexpected" items.
>
>
> Regards,
> David
>
Re: Subversive plugin depends on Mylyn parts? [message #484179 is a reply to message #483768] Fri, 04 September 2009 13:39 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: david.balazic.hermes.si.foo

But there is no way to deselect it. It is not really a problem (except
making the download take longer), I just ask for clarification.

David

Lars Vogel wrote:
> I believe Mylyn integration is optional.
>
> David Balažic wrote:
>> Hi!
>>
>> I just got the Eclipse IDE for Java EE package (v3.5.0 win32)
>> and went on to install the Subversive plugin.
>> On the licence page it also listed about 8 Mylyn components and then
>> they were downloaded.
>> On the seconds page of update wizard (Install details - "Review the
>> items to be installed.") there was only subversive listed.
>> Are the Mylyn parts dependencies of subversive?
>> Strange, if I select another coponentes with dependencies, the
>> dependencies are show as children of the selected item on the
>> "Install details" page. Also the licese page list only the selected
>> item and its dependencies that were also listed on the prev page. No
>> new "unexpected" items.
>>
>>
>> Regards,
>> David
>>


--
My email address has a spamers-confusing addition...
Re: Subversive plugin depends on Mylyn parts? [message #484217 is a reply to message #484179] Fri, 04 September 2009 15:53 Go to previous messageGo to next message
Lars Vogel is currently offline Lars VogelFriend
Messages: 1049
Registered: July 2009
Senior Member

Hi,

I believe you can deselect the option, see for example the screenshot in
chapter 3 of these installation instructions:

http://www.vogella.de/articles/EclipseSubversive/article.htm l

Best regards, Lars
David Balažic wrote:
> But there is no way to deselect it. It is not really a problem (except
> making the download take longer), I just ask for clarification.
>
> David
>
> Lars Vogel wrote:
>> I believe Mylyn integration is optional.
>>
>> David Balažic wrote:
>>> Hi!
>>>
>>> I just got the Eclipse IDE for Java EE package (v3.5.0 win32)
>>> and went on to install the Subversive plugin.
>>> On the licence page it also listed about 8 Mylyn components and then
>>> they were downloaded.
>>> On the seconds page of update wizard (Install details - "Review the
>>> items to be installed.") there was only subversive listed.
>>> Are the Mylyn parts dependencies of subversive?
>>> Strange, if I select another coponentes with dependencies, the
>>> dependencies are show as children of the selected item on the
>>> "Install details" page. Also the licese page list only the selected
>>> item and its dependencies that were also listed on the prev page. No
>>> new "unexpected" items.
>>>
>>>
>>> Regards,
>>> David
>>>
>
>




--
http://www.vogella.de/ - Eclipse plugin and Eclipse RCP Tutorials
http://www.twitter.com/vogella - vogella on Twitter
Re: Subversive plugin depends on Mylyn parts? [message #487749 is a reply to message #483637] Thu, 24 September 2009 10:16 Go to previous messageGo to next message
Igor Burilo is currently offline Igor BuriloFriend
Messages: 435
Registered: July 2009
Senior Member
Hello David,

You selected to install Mylyn integration feature(which is optional) which
depends on Mylyn and so you got licenses for Mylyn. If you don't select
mylyn integration feature, you'll not see Mylyn licenses.
>On the seconds page of update wizard (Install details - "Review the items
>to be installed.") there was only subversive listed.
As you can see there a +(plus) near Subversive SVN Integration for the Mylyn
project feature, if you click it, you'll see Mylyn components.

But I didn't see licenses for Subversive features and that's a probrem, so I
created a bug: https://bugs.eclipse.org/bugs/show_bug.cgi?id=290383.

> Hi!
>
> I just got the Eclipse IDE for Java EE package (v3.5.0 win32)
> and went on to install the Subversive plugin.
> On the licence page it also listed about 8 Mylyn components and then
> they were downloaded.
> On the seconds page of update wizard (Install details - "Review the items
> to be installed.") there was only subversive listed.
> Are the Mylyn parts dependencies of subversive?
> Strange, if I select another coponentes with dependencies, the
> dependencies are show as children of the selected item on the
> "Install details" page. Also the licese page list only the selected
> item and its dependencies that were also listed on the prev page. No new
> "unexpected" items.
>
>
> Regards,
> David
>
> --
> My email address has a spamers-confusing addition...
Re: Subversive plugin depends on Mylyn parts? [message #494936 is a reply to message #487749] Tue, 03 November 2009 10:31 Go to previous messageGo to next message
David  Balažic is currently offline David BalažicFriend
Messages: 128
Registered: July 2009
Senior Member
Igor Burilo wrote on Thu, 24 September 2009 06:16
Hello David,

You selected to install Mylyn integration feature(which is optional) which
depends on Mylyn and so you got licenses for Mylyn. If you don't select
mylyn integration feature, you'll not see Mylyn licenses.

No I did not.

The line
Subversive SVN Integration for the Mylyn Project (Optional) (Incubation) 0.7.8.I20090904-1300

Is still there to be selected in the "Install new software", while the SVN Team Provider is not (I have turned on the "hide already installed..." option).

This is now on Galileo SR1 (v3.5.1).

And again, the second page does not say anything about any mylyn components. Yet, the licence screen is listing its licenses.

Reporting as a bug... bug 294036

[Updated on: Tue, 03 November 2009 10:44]

Report message to a moderator

Re: Subversive plugin depends on Mylyn parts? [message #495820 is a reply to message #494936] Fri, 06 November 2009 09:10 Go to previous message
Igor Burilo is currently offline Igor BuriloFriend
Messages: 435
Registered: July 2009
Senior Member
Hello David,

The only dependency which Subversive has on Mylyn is "Subversive SVN
Integration for the Mylyn Project", you'd better ask about this problem in
p2.

> Igor Burilo wrote on Thu, 24 September 2009 06:16
>> Hello David,
>>
>> You selected to install Mylyn integration feature(which is optional)
>> which depends on Mylyn and so you got licenses for Mylyn. If you don't
>> select mylyn integration feature, you'll not see Mylyn licenses.
>
> No I did not.
>
> The line Subversive SVN Integration for the Mylyn Project (Optional)
> (Incubation) 0.7.8.I20090904-1300
>
> Is still there to be selected in the "Install new software", while the SVN
> Team Provider is not (I have turned on the "hide already installed..."
> option).
>
> This is now on Glaileo SR1 (v3.5.1).
>
> And again, the second page does not say anything about any mylyn
> components. Yet, the licence screen is listing its licenses.
>
> Reporting as a bug...
Previous Topic:Update results in error
Next Topic:.svn folders not hidden after Share on existing checkout until close/open
Goto Forum:
  


Current Time: Sat Dec 20 09:55:35 GMT 2014

Powered by FUDForum. Page generated in 0.01822 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software